#
# spec file for package xkeyboard-config (Version 0.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv intltool klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-libs zlib zlib-devel

Name:           xkeyboard-config
BuildRequires:  intltool perl-XML-Parser xorg-x11
URL:            http://www.freedesktop.org/Software/XKeyboardConfig
%define REPLACE_XORG_XKB_FILES 1
License:        X11/MIT, GPL
Group:          System/X11/Utilities
%if REPLACE_XORG_XKB_FILES
Provides:       xorg-x11:/etc/X11/xkb/symbols/us XFree86:/etc/X11/xkb/symbols/us
%endif
PreReq:         /bin/ln /bin/rm
Autoreqprov:    on
Version:        0.7
Release:        19.6
Summary:        The X Keyboard Extension
Source:         %name-%version.tar.bz2
Source1:        README.SuSE
Patch:          p_suse.diff
Patch1:         ibm_space_saver.diff
Patch2:         khmer.diff
Patch3:         numlock-scrollLock.diff
Patch4:         p_macintosh-kb.diff  
Patch5:         xkeyboard-config_korean.diff
Patch6:         ralt.diff
Patch7:         ISO_Level5.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
The X Keyboard Extension essentially replaces the core protocol
definition of keyboard. The extension makes possible to clearly and
explicitly specify most aspects of keyboard behaviour on per-key basis
and to more closely track the logical and physical state of the
keyboard. It also includes a number of keyboard controls designed to
make keyboards more accessible to people with physical impairments.



Authors:
--------
    Ivan Pascal <pascal@info.tsu.ru>
    Sergey V. Udaltsov <svu@users.sourceforge.net>

%debug_package
%prep
%setup
%patch  -p2
%patch1
%patch2
%patch3
%patch4 -p2
%patch5 -p1
%patch6
%patch7
%if !%{REPLACE_XORG_XKB_FILES}
cp $RPM_SOURCE_DIR/README.SuSE .
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS" 
intltoolize --force
autoreconf -fi
./configure --with-xkb-rules-symlink=xfree86,xorg \
%if %REPLACE_XORG_XKB_FILES
            --with-xkb-base=/etc/X11/xkb \
%else
            --with-xkb-base=/etc/X11/xkeyboard-config \
%endif
            --enable-compat_rules \
            --disable-xkbcomp-symlink
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/lib/xkb
%if %REPLACE_XORG_XKB_FILES
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11
ln -snf /etc/X11/xkb $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb
ln -snf /usr/X11R6/bin/xkbcomp $RPM_BUILD_ROOT/etc/X11/xkb/xkbcomp
%else
ln -snf /usr/X11R6/bin/xkbcomp $RPM_BUILD_ROOT/etc/X11/xkeyboard-config/xkbcomp
%endif

%clean
rm -rf $RPM_BUILD_ROOT
%if %REPLACE_XORG_XKB_FILES

%pre
# /etc/X11/xkb/symbols/pc/ (package xorg-x11) often still exists
# because of backup files in it
test -d etc/X11/xkb/symbols/pc && rm -rf etc/X11/xkb/symbols/pc
exit 0
%endif

%files
%defattr(-,root,root)
%if %REPLACE_XORG_XKB_FILES
%doc AUTHORS COPYING README docs/HOWTO.* docs/README.*
%else
%doc AUTHORS COPYING README docs/HOWTO.* docs/README.* README.SuSE
%endif
%dir /var/lib/xkb
%if %REPLACE_XORG_XKB_FILES
/etc/X11/xkb/
/usr/X11R6/lib/X11/xkb
%else
/etc/X11/xkeyboard-config/
%endif

%changelog -n xkeyboard-config
* Wed Jun 14 2006 - sndirsch@suse.de
- use explicit hexadecimal values instead of XK_ISO_Level5 defines;
  makes changes in X.Org unnecessary (Bug #158951, X.Org Bug #4411)
* Sat Jun 10 2006 - sndirsch@suse.de
- ISO_Level5.diff:
  * obsoletes ca_multi.diff (Bug #158951, X.Org Bug #4411)
* Fri Jun 09 2006 - sndirsch@suse.de
- ca_multi.diff:
  * added support for "Canada - Multilingual" keyboard (Bug #158951)
* Sat Mar 25 2006 - sndirsch@suse.de
- ralt.diff:
  * addresses RAlt problems (Bug #158177, Ubuntu #35845)
* Mon Mar 20 2006 - sndirsch@suse.de
- xkeyboard-config_korean.diff:
  * korean keyboard layout (Bug #87443, freedesktop Bug #6323)
* Mon Feb 13 2006 - sndirsch@suse.de
- added missing xorg rules symlinks (Bug #150245)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 22 2006 - sndirsch@suse.de
- numlock-scrollLock.diff:
  * fix for Numlock/ScrollLock problem (X.Org Bug #5635)
* Mon Jan 16 2006 - sndirsch@suse.de
- khmer.diff:
  * adds khmer keyboard support (Bug #143348)
* Wed Jan 04 2006 - sndirsch@suse.de
- added xorg.lst compatibility symlink (required by xorgcfg)
* Fri Dec 23 2005 - sndirsch@suse.de
- updated to new version 0.7
* Mon Dec 05 2005 - sndirsch@suse.de
- updated to current CVS release (2005-12-05)
* Thu Dec 01 2005 - sndirsch@suse.de
- updated to current CVS release (2005-12-01)
  * obsoletes br-abnt2.diff
  * fixes Dell Inspiron 6000 layout for special keys (#135764)
  * obsoletes patches for symbols/macintosh_vndr/fr (X.Org #2870)
* Tue Sep 20 2005 - sndirsch@suse.de
- br-abnt2.diff:
  * fixed brazilian "abnt2" keyboard layout (#116425)
* Tue Sep 06 2005 - sndirsch@suse.de
- removed Prereq to xorg-x11 (#115369)
* Thu Aug 25 2005 - sndirsch@suse.de
- updated to new version 0.6
  * move Macedonian to country-based
  * translation updates
* Wed Aug 24 2005 - sndirsch@suse.de
- updated to current CVS release (2005-08-24)
  * fr-latin9 compatibility rule added
  * added Thaana Keyboard Map
  * "Major Balkanian revolution" (Danilo Segan)
  * updated russian and turkish translations
* Sat Aug 20 2005 - sndirsch@suse.de
- updated to current CVS release (2005-08-20)
  * updated Iranian layout to new standard (fd.o Bug #4102)
  * updated translations for tr
* Wed Aug 17 2005 - sndirsch@suse.de
- ibm_space_saver.diff:
  * add support for "ibm_space_saver" keyboards (Bug #59788)
* Sun Aug 14 2005 - sndirsch@suse.de
- updated to current CVS release (2005-08-14)
  * obsoletes print-screen.diff
  * buildfix for update-pot/update-po in po/Makefile.am
* Thu Aug 11 2005 - sndirsch@suse.de
- print-screen.diff:
  * fixes GNOME print-screen functionality (Bug #103990)
* Wed Aug 10 2005 - sndirsch@suse.de
- updated to current CVS release (2005-08-10)
* Tue Aug 02 2005 - schwab@suse.de
- Fix reference to eject key in macintosh keymap.
- Make noarch.
* Fri Jul 29 2005 - sndirsch@suse.de
- xkeyboard-config-0.5.diff:
  * fixes typo: options --> option (Bug #98980)
- enabled use of xkeyboard-config again
* Thu Jul 28 2005 - sndirsch@suse.de
- make xkeyboard-config optional again; currently to big problems
  (Bug #98980)
* Tue Jul 26 2005 - sndirsch@suse.de
- finally remove /etc/X11/xkb/symbols/pc directory of xorg-x11
  package (%%pre)
* Thu Jul 14 2005 - sndirsch@suse.de
- added /etc/X11/xkb/xkbcomp to package instead of
  creating/removing the symlink in %%post/%%preun
* Mon Jul 11 2005 - sndirsch@suse.de
- add "Prereq: xorg-x11" to make sure that /etc/X11/xkb/symbols/pc/
  directory will be removed before xkeyboard-config installs
  /etc/X11/xkb/symbols/pc file (Bug #95914).
* Wed Jul 06 2005 - sndirsch@suse.de
- add symlink /usr/X11R6/lib/X11/xkb --> /etc/X11/xkb
* Wed Jul 06 2005 - sndirsch@suse.de
- install package during update when xorg-x11/XFree86 package was
  already installed
* Wed Jul 06 2005 - sndirsch@suse.de
- use /etc/X11/xkb for data files now; replaces the data files of
  xorg-x11 package
* Fri May 13 2005 - sndirsch@suse.de
- use norootforbuild
* Sun Apr 17 2005 - sndirsch@suse.de
- enabled compatibity rules (compatibility on 'XkbLayout' level)
* Sun Feb 06 2005 - sndirsch@suse.de
- updated to release 0.5:
  * More bugs from freedesktop.org bugzilla fixed.
  The group names now are matching the descriptions - and the
  validating scripts are implemented.
  Some layouts, variants, models are added/fixed.
  Some translations are updated (though the overall translation
  activity is disappointinly low).
  * obsoletes p_xkb-cherryblueb.diff
* Sun Oct 24 2004 - sndirsch@suse.de
- updated patches
- removed obsolete patches
* Sun Oct 03 2004 - sndirsch@suse.de
- updated to release 0.4:
  * A lot of fixes. More univeral EURO handling. New urdu layout.
  Improved handling for indicators.
* Wed Sep 29 2004 - sndirsch@suse.de
- added missing prerequires ln,rm (Bug #46480)
* Sat Jul 24 2004 - sndirsch@suse.de
- updated to release 0.3
  * adjusted patches p_XFree86-4.3-kbdmapping.diff,
  p_xkb-cherryblueb.diff
  * adjusted filelist (.mo files no longer exist, added HOWTO.testing)
* Wed Jul 21 2004 - sndirsch@suse.de
- added README.SuSE
* Sun Jun 13 2004 - sndirsch@suse.de
- added required hunks of X.Org patches for xkb:
  * p_suse.diff
  * p_fixes.diff
  * p_xkb-cherryblueb.diff
  * p_XFree86-4.3-kbdmapping.diff
  * p_macintosh-kb.diff
* Sat Jun 12 2004 - sndirsch@suse.de
- created package
